{% from '@Macro/Card.html.twig' import getDefaultImage %}

{% if imgPath is not defined %}
    {% set imgPath = getDefaultImage() %}
    {% set author %}
        <twig:Molecules:Card:DefaultImageAuthorLink/>
    {% endset %}
{% endif %}

<twig:Atoms:Card:CardBackground class="lg:w-72 md:w-80 w-80 h-100 rounded-xl">
    <twig:Flex direction="col" class="h-full relative">
        <twig:Atoms:Link:Link href="{{ link }}">
            {# size: 286*256, ratio: 1.1 | size: 318*256, ratio: 1.25 #}
            <twig:Atoms:Img:Img src="{{ imgPath }}" alt="{{ title }}" class="h-64 w-full rounded-t-xl"/>
        </twig:Atoms:Link:Link>
        <twig:Molecules:Card:CardAuthor top="1">
            {{ author ?? '' }}
        </twig:Molecules:Card:CardAuthor>
        <twig:Atoms:Layout:Padding class="grow">
            <twig:Flex gap="4" direction="col" justify="between" class="h-full">
                <twig:Atoms:Card:CardTitle>{{ title }}</twig:Atoms:Card:CardTitle>
                <twig:Atoms:Card:CardContent>{{ content ?? '' }}</twig:Atoms:Card:CardContent>
                <twig:Atoms:Form:Form method="GET" action="{{ link }}" class="">
                    <twig:Atoms:Button:ActionButton type="submit">
                        Découvrir
                    </twig:Atoms:Button:ActionButton>
                </twig:Atoms:Form:Form>
            </twig:Flex>
        </twig:Atoms:Layout:Padding>
    </twig:Flex>
</twig:Atoms:Card:CardBackground>